g2c_index.c(3)

NAME
g2c_index.c - Write a GRIB2 index file.

SYNOPSIS

#include <ctype.h>
#include <grib2.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

  Functions

int main (int argc, char **argv)
Write a GRIB2 index file.

Detailed Description

Write a GRIB2 index file.

Author
    Ed Hartnett

Date
    12/29/22

Definition in file g2c_index.c.

Function Documentation

  int main (int argc, char ** argv)

Write a GRIB2 index file.

Parameters
    argc Number of arguments.
    argv Pointer to array of arguments.

Returns

    •   0 success

    •   1 otherwise

Author
    Ed Hartnett

Date
    9/10/23

Definition at line 26 of file g2c_index.c.

References G2C_CLOBBER, g2c_close(), G2C_ENOMEM, G2C_ERROR, G2C_LARGE_FILE_INDEX, G2C_NOWRITE, g2c_open(), g2c_set_log_level(), G2C_VERSION, and g2c_write_index().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.